Page MenuHomePhabricator

Port categories code to webpack
Closed, ResolvedPublic3 Story Points

Description

Code relating to the category feature currently lives in mobile.categories.overlays and we will move it to webpack.

Similar to the language feature it is lazy loaded.

Acceptance criteria

  • code for mobile.categories.overlays module compiled in webpack
  • code for mobile.categories.overlays is not loaded on the critical path - it is delayed until an image is clicked (see also T210210)
  • critical js size (mobile.startup.js + mobile.common.js) has not increased. Beware of any modules that are shared among the lazy loaded chunks and are not in mobile.startup.js. Webpack will excise these into mobile.common.js and increase our critical js size.
  • tests are ported to node-qunit (tests/qunit/mobile.categories.overlays)
  • Minerva is retained in a mergeable state throughout the migration. No need to worry about cached html but an alias module (empty module with mobile.startup dependency) will be needed if any module renames happen until references in Minerva have been updated.

Code:

Sign off steps

Event Timeline

Jdlrobson triaged this task as High priority.Jan 10 2019, 7:34 PM
Jdlrobson created this task.
Jdlrobson updated the task description. (Show Details)Jan 15 2019, 5:36 PM

Change 485227 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Port mobile.categories.overlays to webpack

https://gerrit.wikimedia.org/r/485227

Change 485227 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Port mobile.categories.overlays to webpack

https://gerrit.wikimedia.org/r/485227

nray removed nray as the assignee of this task.Jan 18 2019, 7:56 PM
nray added a subscriber: nray.
Jdrewniak closed this task as Resolved.Jan 23 2019, 9:28 PM
Jdrewniak updated the task description. (Show Details)